> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update bank details

> Change `display_name` or `account_holder_name`. The other fields are set when the record is created and can't be changed.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json patch /finops/v1/bank-details/{bank_account_id}
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2026-09-24'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterpart VAT IDs
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Departments
  - name: Disclosures
  - name: Documents
  - name: Events
  - name: Files
  - name: Ledger accounts
  - name: Locations
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: OIDC applications
  - name: Organizations
  - name: Overdue reminders
  - name: Payable duplicates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: PDF templates
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Roles
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: Users
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/bank-details/{bank_account_id}:
    patch:
      tags:
        - Bank details
      summary: Update bank details
      description: >-
        Change `display_name` or `account_holder_name`. The other fields are set
        when the record is created and can't be changed.
      operationId: patch_bank-details_id
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2026-09-24'
          name: x-finops-version
          in: header
        - name: bank_account_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: x-organization-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          description: The ID of the entity that owns the requested resource.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEntityBankAccountRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityBankAccountResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '409':
          description: Business logic error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateEntityBankAccountRequest:
      properties:
        account_holder_name:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          description: >-
            The name of the person or business that owns this bank account. If
            the account currency is GBP or USD, the holder name cannot be
            changed to an empty string.
          examples:
            - Cayla Lloyd
        display_name:
          anyOf:
            - type: string
              maxLength: 200
              minLength: 1
            - type: 'null'
          description: >-
            User-defined name of this bank account, such as 'Primary account' or
            'Savings account'.
          examples:
            - Primary account
      additionalProperties: false
      type: object
      description: Data that can be updated in existing bank accounts of an entity.
    EntityBankAccountResponse:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the bank account.
        account_holder_name:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The name of the person or business that owns this bank account.
            Required in the following cases:

            * the account currency is GBP or USD,

            * the account currency is EUR and the entity wishes to receive SEPA
            Credit transfers to this account.
          examples:
            - Cayla Lloyd
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The bank account number. Required if the account currency is GBP or
            USD. UK account numbers typically contain 8 digits. US bank account
            numbers contain 9 to 12 digits.
          examples:
            - '123456789'
        account_number_last4:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The last 4 digits of bank account number. Required if the account
            currency is GBP or USD and there is no information about the full
            account number.
          examples:
            - '5678'
        bank_name:
          anyOf:
            - type: string
            - type: 'null'
          description: The bank name.
          examples:
            - Chase
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            User-defined name of this bank account, such as 'Primary account' or
            'Savings account'.
          examples:
            - Primary account
        routing_number:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The bank's routing transit number (RTN) or branch code. Required if
            the account currency is USD. US routing numbers consist of 9 digits.
          examples:
            - '123456789'
        was_created_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            ID of the entity user who added this bank account, or `null` if it
            was added using a partner access token.
      type: object
      required:
        - id
      description: Represents a US bank account (bank details) owned by an entity.
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````